<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
	<extension
			point="org.eclipse.papyrus.uml.extensionpoints.UMLLibrary">
		<library
			description="Standard ANSI-C types"
			iconpath="icons/transfo_cpp.gif"
			name="Designer model library: AnsiC types"
			path="pathmap://PapyrusC_Cpp_LIBRARIES/AnsiCLibrary.uml"
			provider="Eclipse Modeling Project"/>
	</extension>
	<extension
			point="org.eclipse.papyrus.uml.extensionpoints.UMLLibrary">
		<library
			description="A subset of the C++ standard template library"
			iconpath="icons/transfo_cpp.gif"
			name="Designer model library: C++ STL (subset)"
			path="pathmap://PapyrusC_Cpp_LIBRARIES/STL.uml"
			provider="Eclipse Modeling Project"/>
	</extension>
	<extension
			point="org.eclipse.papyrus.uml.extensionpoints.UMLLibrary">
		<library
			description="An C++ OS abstraction layer"
			iconpath="icons/transfo_cpp.gif"
			name="Designer model library: C++ OS abstraction layer (OSAL, unmaintained)"
			path="pathmap://PapyrusC_Cpp_LIBRARIES/osal.uml"
			provider="Eclipse Modeling Project"/>
	</extension>
	<extension
			point="org.eclipse.papyrus.uml.extensionpoints.UMLLibrary">
		<library
			description="A subset of pthread threading functions"
			iconpath="icons/transfo_cpp.gif"
			name="Designer model library: Pthread (subset)"
			path="pathmap://PapyrusC_Cpp_LIBRARIES/pthread.uml"
			provider="Eclipse Modeling Project"/>
	</extension>
 <extension
       point="org.eclipse.papyrus.uml.extensionpoints.UMLLibrary">
    <library
          description="A subset of socket types"
          iconpath="icons/transfo_cpp.gif"
          name="Designer model library: Socket (subset)"
          path="pathmap://PapyrusC_Cpp_LIBRARIES/socket.uml"
          provider="Eclipse Modeling Project">
    </library>
 </extension>
</plugin>
